#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define	module	zope.deprecation
Summary:	Deprecation library for Python code
Summary(pl.UTF-8):	Biblioteka odradzająca dla kodu w Pythonie
Name:		python-%{module}
# keep 4.x here for python2 support
Version:	4.4.0
Release:	5
License:	ZPL v2.1
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/z/zope.deprecation/zope.deprecation-%{version}.tar.gz
# Source0-md5:	6915a92473e2658b3954f8490938455c
URL:		https://www.zope.dev/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-zope.testrunner
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.testrunner
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules >= 1:2.7
Provides:	Zope-Deprecation
Obsoletes:	Zope-Deprecation < 4.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a simple function called deprecated(names,
reason) to mark deprecated modules, classes, functions, methods and
properties.

%description -l pl.UTF-8
Ten pakiet udostępnia prostą funkcję o nazwie deprecated(names,
reason), służącą do oznaczania przestarzałych modułów, klas, funkcji,
metod i własności.

%package -n python3-%{module}
Summary:	Deprecation library for Python code
Summary(pl.UTF-8):	Biblioteka odradzająca dla kodu w Pythonie
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
This package provides a simple function called deprecated(names,
reason) to mark deprecated modules, classes, functions, methods and
properties.

%description -n python3-%{module} -l pl.UTF-8
Ten pakiet udostępnia prostą funkcję o nazwie deprecated(names,
reason), służącą do oznaczania przestarzałych modułów, klas, funkcji,
metod i własności.

%package apidocs
Summary:	API documentation for Python zope.deprecation module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.deprecation
Group:		Documentation

%description apidocs
API documentation for Python zope.deprecation module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.deprecation.

%prep
%setup -q -n zope.deprecation-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py_sitescriptdir}/zope/deprecation
%{py_sitescriptdir}/zope.deprecation-*.egg-info
%{py_sitescriptdir}/zope.deprecation-*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/deprecation
%{py3_sitescriptdir}/zope.deprecation-*.egg-info
%{py3_sitescriptdir}/zope.deprecation-*-nspkg.pth
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.deprecation.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9565dd8
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 9eca502
- python 3.13 rebuild

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> c4c9533
- added python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> baf928c
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 37c5844
- rebuild with python 3.10

* Wed Feb 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 7073dc1
- updated to 4.4.0, added apidocs

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 7f72194
- noarch package
- rel 6

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> a7bcf3d
- disable debug packages; rel 5

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0a5987f
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 251992c
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d4aac01
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 2a5340e
- renamed, python3 support added

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a1c3040
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9313eb3
- automatic change: use py_build/py_install macros

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 1f24873
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 191b9d4
- up to 4.0.2, update url and desc

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> cdc48a7
- enable testing

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 33398c0
- rebuild for python eggs; verbose files; add testing

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> c37bfcd
- rebuild for python eggs; verbose files

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 449afe7
- BR: python-setuptools

